> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useyala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payouts

> List payouts for your business. Swaps are not included — use List Swaps.

## Overview

Returns payouts for the authenticated business. **Swaps are excluded.** To list swaps, use [List Swaps](/api-reference/endpoint/list-swaps).

To load one payout, use [Get Payout by ID](/api-reference/endpoint/get-payout) with the `id` from this list.

## Request

```http theme={null}
GET /v1/payout-api/payouts?page=1&limit=20 HTTP/1.1
Host: gateway.staging.useyala.com
x-api-key: <YOUR_API_KEY>
```

### Query parameters

| Parameter | Required | Description                              |
| --------- | -------- | ---------------------------------------- |
| `page`    | No       | Page number, starting at 1. Default `1`. |
| `limit`   | No       | Page size. Default `20`. Maximum `100`.  |

## Response

```json theme={null}
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "payoutRef": "PAY-2024-001",
      "status": "PENDING",
      "method": "SWIFT",
      "sourceAmount": 10000,
      "sourceCurrency": "NGN",
      "destinationAmount": 6.5,
      "destinationCurrency": "USD",
      "exchangeRate": 1538,
      "transactionFees": 0,
      "createdAt": "2024-01-20T10:00:00.000Z"
    }
  ],
  "meta": {
    "total": 1,
    "page": 1,
    "limit": 20,
    "size": 1
  }
}
```

## Usage Example

```javascript theme={null}
async function listPayouts() {
  const url = new URL('https://gateway.staging.useyala.com/v1/payout-api/payouts');
  url.searchParams.set('page', '1');
  url.searchParams.set('limit', '20');
  const response = await fetch(url, { headers: { 'x-api-key': apiKey } });
  return response.json();
}

const { data, meta } = await listPayouts();
```
